Jump to content
john9210

install plugins

Recommended Posts

john9210    0
Posted (edited)

FM 12 Adv, Win 1. I down loaded a plug in but don't know what to do with it. I tried storing it in the Filemaker Extensions folder, but it does not show up in Plug in management. How do I install it and where do I store it? Will the plug in be available in all solutions or only in one file? Does it need activation?

Edited by john9210

Share this post


Link to post
Share on other sites
Wim Decorte    446

The best way to install plugins is to use the "install plugin file" script step.  Just create a new file for it, add the container field and a script to install it.  That makes it really portable.

http://www.filemaker.com/help/13/fmp/en/html/scripts_ref2.37.66.html#1076200

It also allows you to trap for errors.  The script step will put the plugin where it belongs automatically.  And the benefit is that you can use the same file to have it installed on FMS through server-side schedule, and in WebDirect.

Once installed, a plugin is available in all files that you open with your copy of FMP.  Doesn't mean that it will be available for anyone else unless you also install the plugin there.

Many plugins have license-checking mechanism and activation mechanisms.  Check the help section of the plugin vendor's web site.

Also: since FM12 is really old by now; if you have just downloaded the plugin you may have a plugin that is not compatible with the old version of FM.  Again, check the plugin vendor web site.

 

Share this post


Link to post
Share on other sites
john9210    0

Thanks I'll give it a try. By the way, I had a type. I'm using FMP 15 adv.

Share this post


Link to post
Share on other sites
john9210    0

I still can't get Plug-in to work. I'm trying to install BaseElements.fmx64. I created a file with container field. I inserted the plugin into the container field and wrote a single line script to install it. However, I get the error "baselements.fmx64 could not be installed". Also, it is not listed in the permissions/plugin window.

Share this post


Link to post
Share on other sites
john9210    0

why the mac version? I'm using  fm15 adv for the pc.

Share this post


Link to post
Share on other sites
Wim Decorte    446

Is your Windows 32-bit?  Then you need the 32-bit version of the plugin.  If you need to make the install routine safe for multiple scenarios, there is a Get() function in FM that will help you determine whether the OS is 32 or 64 bit and branch to install the correct version of the plugin.

Share this post


Link to post
Share on other sites
john9210    0

I'm using Windows 10 64 bit.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now


×

Important Information

By using this site, you agree to our Terms of Use.